Skip to main content
GET
/
partner-fees
/
{id}
Read a partner fee
curl --request GET \
  --url https://api.lumx.io/partner-fees/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.lumx.io/partner-fees/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.lumx.io/partner-fees/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "123e4567-e89b-12d3-a456-426614174004",
  "name": "Fee name",
  "walletAddress": "0x76b74209f3542d172ca1575b5b18064594360299",
  "fees": {
    "onRamp": {
      "rate": "10",
      "flatAmount": "1"
    },
    "offRamp": {
      "rate": "10",
      "flatAmount": "1"
    }
  },
  "createdAt": "2021-01-01T00:00:00Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header on the format Bearer <API_KEY>.

Path Parameters

id
string<uuid>
required

Partner fee's unique identifier.

Response

200 - application/json

Partner fee successfully retrieved.

id
string<uuid>

Partner fee's unique identifier.

Example:

"123e4567-e89b-12d3-a456-426614174004"

name
string

Partner fee's name.

Example:

"Fee name"

walletAddress
string

Partner's wallet address that will receive the funds.

Example:

"0x76b74209f3542d172ca1575b5b18064594360299"

fees
object

Partner fee's fees.

createdAt
string<date-time>

Creation date and time (UTC).

Example:

"2021-01-01T00:00:00Z"